Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 235882 - Add branch filter to search history
Add branch filter to search history
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Git
8.0
PC Linux
: P3 (vote)
: 8.0
Assigned To: Ondrej Vrabec
issues@versioncontrol
: API, API_REVIEW_FAST
Depends on: 235338
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-12 13:36 UTC by Ondrej Vrabec
Modified: 2013-09-25 14:52 UTC (History)
3 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
api change (37.41 KB, patch)
2013-09-12 13:53 UTC, Ondrej Vrabec
Details | Diff
client usage and the ui change (25.23 KB, patch)
2013-09-12 13:54 UTC, Ondrej Vrabec
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ondrej Vrabec 2013-09-12 13:36:19 UTC
Although it's now possible (with 235338 fixed) to search only commits being part of a branch it would still be useful to have a filter allowing users to show/hide commits being part of the filter branch.
Imagine you have this sequence of commits:

o --- my_branch
|
o
|
o --- master
|
o
|
o

then searching only on the branch my_branch will yield all those commits. Now what if user wants to know only commits both part of master and part of my_branch? Then he would choose "master" from the filter combo and the resulting commits would be:
o --- master
|
o
|
o
Comment 1 Ondrej Vrabec 2013-09-12 13:53:06 UTC
Created attachment 139992 [details]
api change

the change is simple:
1) adding an overloaded method GitClient.log() allowing an API client to specify if the information about branches should/should not be returned.
2) branches affected by a commit are returned by the newly added method  GitRevisionInfo.getBranches
Comment 2 Ondrej Vrabec 2013-09-12 13:54:28 UTC
Created attachment 139993 [details]
client usage and the ui change
Comment 3 Ondrej Vrabec 2013-09-12 13:55:05 UTC
please review
Comment 4 Ondrej Vrabec 2013-09-23 08:07:47 UTC
i will apply tomorrow


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo